Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 29 Aug 2014, 01:39
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Bluetooth in lucid puppy ----> blueman is here
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 6 [80 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Author Message
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Wed 04 May 2011, 05:55    Post subject:  

Quote:
Now I AM excited Smile


now you are excited too early... Razz

there is still some problem...
i cannot connect to rfcomm... even when compiled without policykit, now lets see if there is another way...

from
https://bugs.launchpad.net/blueman/+bug/770259
Quote:
--- /usr/share/pyshared/blueman/main/PPPConnection.py 2010-12-08 18:02:25.000000000 +0100
+++ /usr/share/pyshared/blueman/main/PPPConnection.py.working 2011-04-25 15:15:55.000000000 +0200
@@ -88,9 +88,12 @@ class PPPConnection(gobject.GObject):
def connect_callback(self, response):
if "CONNECT" in response:
dprint("Starting pppd")
- self.pppd = subprocess.Popen(["/usr/sbin/pppd", "%s" % self.port, "defaultroute", "updetach", "usepeerdns"], bufsize=1, stdout=subprocess.PIPE)
+ self.pppd = subprocess.Popen(["/usr/sbin/pppd", "%s" % self.port,
+ "crtscts",
+ "defaultroute", "nodetach", "usepeerdns"
+ ], bufsize=1, stdout=subprocess.PIPE)
glib.io_add_watch(self.pppd.stdout, glib.IO_IN | glib.IO_ERR | glib.IO_HUP, self.on_pppd_stdout)
- glib.timeout_add(1000, self.check_pppd)
+ glib.timeout_add(2000, self.check_pppd)

self.cleanup()
else:
@@ -178,7 +181,8 @@ class PPPConnection(gobject.GObject):

print "pppd exited with status %d" % status
return False
- return True
+ self.emit("connected", self.interface)
+ return False

def send_command(self, command):
dprint("-->", command)

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Mon 16 May 2011, 21:38    Post subject:  

pppd 2.4.5 seem incompatible with blueman...

with pppd 2.4.3 rfcomm can be set from blueman but i didnt know how to test, what dialer to use.
maybe its much easier to create custom script which run when we press browse button in blueman ?
which we will choose to browse or to dial internet ?

I dont know the answer, I hope other dev can improve.
thank you

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Luluc


Joined: 16 Mar 2011
Posts: 200

PostPosted: Fri 17 Jun 2011, 06:06    Post subject:  

Blueman is a 2,680 KB download and Python is a 752 KB download on Ubuntu. How come they are 20 MEGABYTES EACH on this Bluetooth package for Puppy?
Back to top
View user's profile Send private message 
WindUpToy


Joined: 21 Oct 2008
Posts: 89
Location: melbourne.au Slick525DVD

PostPosted: Sun 19 Jun 2011, 04:29    Post subject:  

http://www.bluesoleil.com/products/S0001201005190007.html

IVT has a Linux version which they say is for all Linuxes.
I get an error trying to run it.
I am away from my computer ATM, so I can't post the error now, but will if anyone is interested.
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Sun 19 Jun 2011, 13:03    Post subject:  

WindUpToy wrote:
http://www.bluesoleil.com/products/S0001201005190007.html

IVT has a Linux version which they say is for all Linuxes.
I get an error trying to run it.
I am away from my computer ATM, so I can't post the error now, but will if anyone is interested.
I have written to IVT support, as I was successful in installing Bluesoleil in Wine, but my bluetooth device wasn't show and thus used.
I wrote again and was referred to linux download, but that didn't work.
Can't quite remember what the issue was. I have to look and find my notes.
Also I think some software wasn't free.

I had some success with Blueman for file transfer. (up and down load)

I had other things to attend too, so I didn't pursue for the moment.

_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
joopyhellspawn


Joined: 12 Feb 2008
Posts: 41

PostPosted: Sun 19 Jun 2011, 16:35    Post subject:  

I'll have to try this soon.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 26 Jun 2011, 12:27    Post subject:  

@luluc
maybe because blueman need a lot of dependency ?

btw i already post all needed source to create the pet.

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Luluc


Joined: 16 Mar 2011
Posts: 200

PostPosted: Sun 26 Jun 2011, 17:49    Post subject:  

@Master_wrong

Maybe? Why maybe? Who made that package? They should know.

It doesn't seem to be related to dependencies. The package contains the dependencies separately. Blueman and Python stand on their own, and they're each ridiculously huge.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 26 Jun 2011, 22:53    Post subject:  

@luluc
Im just newbie, i dont even know if i did it right. I mean maybe i put more files than needed into the pet. but atleast i post all needed package source. and all the source package is 23M and without the python.
so please help create smaller pet if you doubt it was too big. thank you

btw i did not create python.pet

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Basics

Joined: 02 Jun 2011
Posts: 10

PostPosted: Wed 31 Aug 2011, 22:15    Post subject: BUMP
Subject description: I'm interested in the outcome of this thread.
 

Has everything been worked out yet? I don't have the time to try every option right now.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 04 Sep 2011, 07:11    Post subject:  

@basic
sorry the only peripheral i got is handphone, i can say that sending and receiving files work, browsing also work(with tweak)... other than that i didnt test.

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Sun 04 Sep 2011, 08:55    Post subject:  

I posted gnome-bluetooth / obexftp .pet in the dpup thread maybe it would also work in Lucid puppy?
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 04 Sep 2011, 13:14    Post subject:  

blueman.pet work in 5.2, but not in 528 because dbus system seem changed... i have to install from source again to make it work.

@stu
so i guess any other old bluetooth.pet will not work in 528 too.

I will try to complete blueman for puppy myself, it seem only need nmap and alsa.

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Fri 09 Sep 2011, 07:02    Post subject:  

more info about installing source into pet see below

http://www.murga-linux.com/puppy/viewtopic.php?t=69556

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Fri 09 Sep 2011, 08:37    Post subject:  

Master_wrong wrote:

@stu
so i guess any other old bluetooth.pet will not work in 528 too.


Not sure i guess it depends on what is included in the .pet
I haven't got round to trying Lucid 528 yet - however i have just tried my Dpup bluetooth .pet in Lucid 525 lite to see what happens and it works, so i imagine it will also work in Lucid 528.

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 6 [80 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0745s ][ Queries: 13 (0.0052s) ][ GZIP on ]